﻿using System;
using System.Net;

namespace Gallery.Util
{
    public static class Config
    {
        public static readonly TimeSpan Timeout = TimeSpan.FromSeconds(30);

        public const string DownloadThreadsKey = "download_threads";
        public const string IsProxiedKey = "is_proxied";
        public const string ProxyHostKey = "proxy_host";
        public const string ProxyPortKey = "proxy_port";

        public const int MaxThreads = 4;
        public const string UserAgent = "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/92.0.4515.107 Safari/537.36";
        public const string AcceptLanguage = "zh-cn";
        public const string AcceptImage = "image/png,image/*,*/*;q=0.8";

        public static int DownloadThreads;
        public static WebProxy Proxy;
    }

    public static class Routes
    {
        public const string Gallery = "gallery";
        public const string Favorite = "favorite";
        public const string Option = "option";
    }
}
